Bug 138750 - adsl-start won't connect to ISP
adsl-start won't connect to ISP
Product: Fedora
Classification: Fedora
Component: ppp (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Thomas Woerner
Depends On:
  Show dependency treegraph
Reported: 2004-11-10 18:32 EST by Boris Glawe
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-11-11 12:02:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Boris Glawe 2004-11-10 18:32:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:
I am connected to the internet via ADSL

With FC2 the connection works perfect
With FC3 though, adsl-start / ppp won't connect to my provider. I have
specfified the correct username and the correct password. I have
compared the files /etc/ppp/pap-secrets and /etc/ppp/chap-secrets on
both my FC2 system and my FC3 system - the files are 100% identical.

When trying to connect ppp produces the following output in

Nov 10 22:35:08 muli pppd[18507]: pppd 2.4.2 started by root, uid 0
Nov 10 22:35:08 muli pppd[18507]: Using interface ppp0
Nov 10 22:35:08 muli pppd[18507]: Connect: ppp0 <--> /dev/pts/2
Nov 10 22:35:09 muli pppoe[18508]: PPP session is 7951
Nov 10 22:35:12 muli pppd[18507]: Remote message: Request Denied
Nov 10 22:35:12 muli pppd[18507]: PAP authentication failed
Nov 10 22:35:12 muli pppd[18507]: Connection terminated.
Nov 10 22:35:12 muli pppoe[18508]: Session 7951 terminated -- received
PADT from peer
Nov 10 22:35:12 muli pppoe[18508]: Sent PADT
Nov 10 22:35:12 muli pppd[18507]: Exit.
Nov 10 22:35:12 muli adsl-connect: ADSL connection lost; attempting

The ethernet adapter, my ADSL-modem is connected to, is a Realtek 8139
Chip. It is activated.

My Mainboard is an Asus A7N8X-E. I've also tried to use one of the
onboard ethernet adapters, with the same result.

A friend of mine has also reported that he cannot connect to the
internet via ADSL with FC3. He has a different provider then me, but
he uses the same Mainboard.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. configure an ADSL-connection with system-config-network
2. try to connect
3. observe /var/log/messages

Actual Results:  no connection will be established.

ppp's message:
Remote message: "Request denied"

Expected Results:  an connection to the internet of course :-)

Additional info:
Comment 1 Thorsten Leemhuis 2004-11-11 01:24:12 EST
Had similar problems after FC3 update, but did not find enough time to
debug yet. What helped for me was on of the following:
- a simple reload of the network driver kernel module after boot is
- try to bring the ethernet device up where the ADSL Modem is
connected (e.g. /sbin/ifconfig eth0 up) 
Comment 2 Thomas Woerner 2004-11-11 10:55:57 EST
Is this also the A7N8X-E Mainboard?
If it is the same, please assign this bug to kernel.
Comment 3 Boris Glawe 2004-11-11 11:34:17 EST
How can such a bug be related with the kernel? The connection to the
provider has obviously beed established, but the server "denies the
request". The hardware seems to work!? I'd rather guess that
something's wrong with the negotiation between the provider (I think
it's a radius server) and ppp.

I don't know much about details in the kernel, but I cannot imagine,
that the kernel doesn't work properly.
Comment 4 Thomas Woerner 2004-11-11 12:01:29 EST
If it is working, if you are reloading the kernel driver of your
network card, then i'd say it is a driver problem.
Comment 5 Boris Glawe 2004-11-11 12:02:35 EST
A few minutes ago I learned a new abbeviation for newsgroups:

"PEBCAK" which means "problem exists between chair and keyboard"

I've simply entered a wrong password.

This was not my failure though, since I picked up the password from my
old /etc/ppp/pap-secrets.

Problem is that the gnome-terminal paints an O (the letter) exactly
like a 0 (zero). Maybe this has to be reported as another bug!

sorry for the confusion. There's nothing wrong with ppp from my point
of view.

greets Boris

Note You need to log in before you can comment on or make changes to this bug.